## org.eclipse.datatools.modelbase.sql.query
Class SuperGroupType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.query.SuperGroupType

public final class SuperGroupType
extends AbstractEnumerator

A representation of the literals of the enumeration 'SQL Super Group Type', and utility methods for working with them.

See Also:
  `SQLQueryModelPackage.getSuperGroupType()`, Serialized Form

Field Summary
`static int` `CUBE` The 'CUBE' literal value.
`static SuperGroupType` `CUBE_LITERAL` The 'CUBE' literal object.
`static int` `GRANDTOTAL` The 'GRANDTOTAL' literal value.
`static SuperGroupType` `GRANDTOTAL_LITERAL` The 'GRANDTOTAL' literal object.
`static int` `ROLLUP` The 'ROLLUP' literal value.
`static SuperGroupType` `ROLLUP_LITERAL` The 'ROLLUP' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Super Group Type' enumerators.

Method Summary
`static SuperGroupType` `get(int value)` Returns the 'Super Group Type' literal with the specified value.
`static SuperGroupType` `get(java.lang.String name)` Returns the 'Super Group Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CUBE

    public static final int CUBE

  The 'CUBE' literal value.

  See Also:
    `CUBE_LITERAL`, Constant Field Values

### GRANDTOTAL

    public static final int GRANDTOTAL

  The 'GRANDTOTAL' literal value.

  See Also:
    `GRANDTOTAL_LITERAL`, Constant Field Values

### ROLLUP

    public static final int ROLLUP

  The 'ROLLUP' literal value.

  See Also:
    `ROLLUP_LITERAL`, Constant Field Values

### CUBE_LITERAL

    public static final SuperGroupType CUBE_LITERAL

  The 'CUBE' literal object.

  If the meaning of 'CUBE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CUBE`

### GRANDTOTAL_LITERAL

    public static final SuperGroupType GRANDTOTAL_LITERAL

  The 'GRANDTOTAL' literal object.

  If the meaning of 'GRANDTOTAL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GRANDTOTAL`

### ROLLUP_LITERAL

    public static final SuperGroupType ROLLUP_LITERAL

  The 'ROLLUP' literal object.

  If the meaning of 'ROLLUP' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ROLLUP`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Super Group Type' enumerators.

Method Detail

### get

    public static SuperGroupType get(java.lang.String name)

  Returns the 'Super Group Type' literal with the specified name.

### get

    public static SuperGroupType get(int value)

  Returns the 'Super Group Type' literal with the specified value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.